/*
 *  linux/include/asm-arm/keyboard.h
 *
 *  Copyright (C) 1998 Russell King
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *  Keyboard driver definitions for ARM
 */
#ifndef __ASM_ARM_KEYBOARD_H
#define __ASM_ARM_KEYBOARD_H

#include <linux/kd.h>
#include <linux/pm.h>

/*
 * We provide a unified keyboard interface when in VC_MEDIUMRAW
 * mode.  This means that all keycodes must be common between
 * all supported keyboards.  This unfortunately puts us at odds
 * with the PC keyboard interface chip... but we can't do anything
 * about that now.
 */
#ifdef __KERNEL__

static inline int kbd_setkeycode(unsigned int sc, unsigned int kc)
{
    return -EOPNOTSUPP;
}

static inline int kbd_getkeycode(unsigned int sc)
{
    return sc > 127 ? -EINVAL : sc;
}

static inline void kbd_leds(unsigned char leds)
{

}

static __inline__ int kbd_translate(unsigned char scancode,
				    unsigned char *keycode, char raw_mode)
{
    *keycode = scancode;
    return 1;
}

static __inline__ char kbd_unexpected_up(unsigned char keycode)
{
    return 0200;
}

#include <asm/arch/keyboard.h>

#endif /* __KERNEL__ */

#endif /* __ASM_ARM_KEYBOARD_H */
